@import "@/styles/variables";

.tooltip {
    position: absolute;
    visibility: hidden;
    min-width: 10rem;
    background-color: $white;
    border-radius: 1px;
    padding: 0.75rem 1rem;
    top: 115%;
    left: -80%;
    filter: drop-shadow(0 2px 6px rgb(0 0 0 / 20%));

    @include tablet {
        min-width: fit-content;
        white-space: nowrap;
    }

    @include notebook {
        left: -20%;
    }

    &_wrapper {
        position: relative;
        display: inline-block;
        z-index: 50;
    }

    &::before {
        content: " ";
        position: absolute;
        border: solid transparent;
        border-width: 0.5rem;
        border-color: rgba(255 255 255 / 70%) transparent transparent;
        top: -0.9rem;
        left: 25%;
        height: 0;
        width: 0;
        pointer-events: none;
        transform: rotate(180deg);

        @include tablet {
            left: 10%;
        }
    }
}
